Transit Midpoints
POST /cosmobiology/transit-midpoints
POST
/cosmobiology/transit-midpoints
Transits hitting natal midpoints in 90° dial.
Authorizations
Section titled “Authorizations ”Code Samples
Section titled “ Code Samples ”curl -X POST https://api.astroway.info/v1/cosmobiology/transit-midpoints \ -H "X-Api-Key: aw_live_..." \ -H "Content-Type: application/json" \ -d '{ "...chart": "...", "targetDate": "..." }'const res = await fetch('https://api.astroway.info/v1/cosmobiology/transit-midpoints', { method: 'POST', headers: { 'X-Api-Key': process.env.ASTROWAY_API_KEY, 'Content-Type': 'application/json', }, body: JSON.stringify({ "...chart": "...", "targetDate": "..." }),});const { ok, data, error } = await res.json();if (!ok) throw new Error(error.message);console.log(data);import os, requests
r = requests.post( 'https://api.astroway.info/v1/cosmobiology/transit-midpoints', headers={'X-Api-Key': os.environ['ASTROWAY_API_KEY'], 'Content-Type': 'application/json'}, json={ '...chart': "...", 'targetDate': "..." },)result = r.json()if not result['ok']: raise RuntimeError(result['error']['message'])print(result['data'])<?phpuse GuzzleHttp\Client;
$client = new Client(['base_uri' => 'https://api.astroway.info/v1/']);$r = $client->post('cosmobiology/transit-midpoints', [ 'headers' => ['X-Api-Key' => getenv('ASTROWAY_API_KEY')], 'json' => [ '...chart' => '...', 'targetDate' => '...', ],]);$result = json_decode($r->getBody(), true);if (!$result['ok']) throw new \RuntimeException($result['error']['message']);print_r($result['data']);Request Body required
Section titled “Request Body required ”object
date
required
string
time
required
string
timezoneOffset
number
latitude
number
longitude
number
houseSystem
string
name
string
city
string
zodiacType
string
ayanamsaId
number
cosmogram
boolean
targetDate
required
string
targetTime
string
targetTzOffset
number
converse
boolean
withTnp
boolean
Example
{ "...chart": "...", "targetDate": "..."}Responses
Section titled “ Responses ”Successful calculation
object
ok
boolean
Example
true data
object
hits
Array
Validation error
Example
{ "ok": false, "error": { "code": "INVALID_INPUT", "message": "Validation failed: date: Date must be YYYY-MM-DD", "details": [ { "path": "date", "message": "Date must be YYYY-MM-DD" } ] }}Missing or invalid API key
Example
{ "ok": false, "error": { "code": "INVALID_API_KEY", "message": "Invalid API key" }} Корисно?
Дякуємо за фідбек.